Kerbal Space Program - Bug #19339

Decouplers that are created in symmetry but are seperated into different stages act as 1 when they
shouldnt.

07/01/2018 10:05 AM - Anth12

Status: Closed Start date: 07/01/2018
Severity: Low % Done: 100%
Assignee:

Category: Parts

Target version: 1.5.0

Version: 1.4.4 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

Windows 10

KSP Steam 1.4.4 + MH 1.3

Description:

Creating a craft that uses decouplers in symmetry and then used in seperate stages has the problem that once one of the decouplers
is activated all

of the other decouplers that have been moved to different stages all disappear.

Work Around: right click on the decoupler that is no longer staged to decouple.

Example Craft attached.

Look to Before and After screenshots to see the issue.

Note: This issue happens per set of decouplers that have been put into symmetry.

History

#1 - 07/01/2018 10:33 AM - Anth12

- File 1.4.3 On launching.png added

- File 1.4.3 First Staging.png added

- File 1.4.3 On Second Stage.png added
- File 1.4.3 on Third Staging.png added

GOG KSP 1.4.3 without Making History
GOG KSP 1.4.4 without Making History

Here are screenshots of how it works for 1.4.3 which means whatever is causing the issue started with 1.4.4.
#2 - 07/02/2018 07:36 AM - diomedea

- Status changed from New to Confirmed

- % Done changed from 0 to 10

Confirmed, but only stack decouplers radially attached to a part new or changed in KSP 1.4. Radial decouplers don't; neither stack ones radially
attached to a "old" part.

#4 - 07/03/2018 10:49 AM - AlffromKerbal

I'm wondering, that this is even working.

In my view using Linux, i cannot split symetrically added parts off the same stage. So i'd call it a bug, that this is even possible ;)
Maybe it's more a bug in the process of stopping splitability.

Or i completly missundertood.
#5 - 07/24/2018 06:59 AM - diomedea
- Status changed from Confirmed to Being Worked On
- % Done changed from 10 to 30

#6 - 10/15/2018 06:39 PM - joshua.collins
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.5.0

- % Done changed from 30 to 80

Please recheck this in 1.5.0.

#7 - 10/16/2018 04:14 AM - Anth12

- File Fixed for 1.5 A.png added

- File Fixed for 1.5 B.png added

- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

Windows 10

KSP Steam 1.4.5 + MH 1.3

KSP Steam 1.5 + MH 1.5

The craft in my main save that showed this bug now works correctly again

The test craft | used for this bug report works as intended now as per pics supplied
Resolved.

Thank you

#8 - 10/25/2018 02:56 PM - joshua.collins

- Status changed from Resolved to Closed

Files

Symmetry Decoupler Bug.craft 37.5KB 07/01/2018 Anth12
Before.png 2.09 MB 07/01/2018 Anth12
After.png 2.44 MB 07/01/2018 Anth12
1.4.3 On launching.png 2.01 MB 07/01/2018 Anth12
1.4.3 First Staging.png 2.01 MB 07/01/2018 Anth12
1.4.3 On Second Stage.png 2.01 MB 07/01/2018 Anth12
1.4.3 on Third Staging.png 2 MB 07/01/2018 Anth12
Fixed for 1.5 A.png 3.02 MB 10/16/2018 Anth12
Fixed for 1.5 B.png 3.02 MB 10/16/2018 Anth12
